curl --request GET \
--url https://app.silnahealth.com/api/public/v1/prior-authorizations/{prior_authorization_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.silnahealth.com/api/public/v1/prior-authorizations/{prior_authorization_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.silnahealth.com/api/public/v1/prior-authorizations/{prior_authorization_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"specialty": "PHYSICAL_THERAPY",
"status": "DATA_REQUESTED",
"reference_numbers": [
"<string>"
],
"authorization_type": "ASSESSMENT_AUTHORIZATION",
"created_at": "2023-11-07T05:31:56Z",
"requested_treatment_codes": [
{
"units": "2.5",
"unit_type": "VISITS",
"treatment_codes": [
{
"code": "<string>",
"description": "<string>",
"standard": "CPT",
"treatment_code_modifiers": [
{
"code": "<string>",
"description": "<string>"
}
]
}
],
"time_frame": "TOTAL"
}
],
"approved_treatment_codes": [
{
"units": "2.5",
"unit_type": "VISITS",
"treatment_codes": [
{
"code": "<string>",
"description": "<string>",
"standard": "CPT",
"treatment_code_modifiers": [
{
"code": "<string>",
"description": "<string>"
}
]
}
],
"time_frame": "TOTAL",
"reference_number": null,
"approved_start_date": null,
"approved_end_date": null
}
],
"requested_start_date": null,
"requested_end_date": null,
"approval_files": [
{
"document_type": "APPROVAL_LETTER",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"denial_files": [
{
"document_type": "DENIAL_LETTER",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"other_files": [
{
"document_type": "AUTHORIZATION_FORM",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"submitted_at": null,
"last_updated_at": null,
"clinician": null,
"required_data": null,
"silna_url": null,
"approval_information_last_updated_at": null
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}{
"message": "<string>"
}Get Prior Authorization
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
ID of the prior authorization
Specialty for the prior authorization
PHYSICAL_THERAPY, ABA_THERAPY, SPEECH_THERAPY, OCCUPATIONAL_THERAPY, PSYCHOLOGICAL_TESTING, HOME_HEALTH_CARE, HOSPICE, CARDIAC_REHABILITATION, INTENSIVE_CARDIAC_REHABILITATION, MENTAL_HEALTH, PRINCIPAL_ILLNESS_NAVIGATION, PRINCIPAL_CARE_MANAGEMENT, ADVANCED_PRIMARY_CARE_MODELS, PREVENTATIVE_HEALTH, PARTIAL_HOSPITALIZATION_PROGRAM, INTENSIVE_OUTPATIENT_PROGRAM, INTERVENTIONAL_RADIOLOGY, VASCULAR_SURGERY, INTERVENTIONAL_CARDIOLOGY, ORTHOPEDICS, CHIROPRACTIC, GYNECOLOGY, LONG_TERM_CARE, NUTRITIONAL_COUNSELING, PHYSICAL_MEDICINE, PULMONARY_REHABILITATION, INJECTABLE_SPECIALTY_MEDICATIONS, ALLERGY_TESTING, SKILLED_NURSING, RADIOLOGY, OTOLARYNGOLOGY, DURABLE_MEDICAL_EQUIPMENT, DERMATOLOGY, PROFESSIONAL_OFFICE_VISIT, PSYCHIATRY, PRIVATE_DUTY_NURSING Status of the prior authorization
DATA_REQUESTED, DATA_RECEIVED, ALL_REQUIRED_DATA_RECEIVED, REQUESTED, TOO_EARLY_TO_SUBMIT, UNNECESSARY, AWAITING_PROVIDER, PENDING_PROVIDER_SUBMISSION_REVIEW, AWAITING_SILNA, APPROVED_TO_SUBMIT, SUBMITTED_TO_PAYOR, PAYOR_DENIED, PAYOR_DENIED_APPEALING, AWAITING_RESUBMISSION, RESUBMITTED_TO_PAYOR, PAYOR_APPROVED, DENIED_UNAPPEALED, PRELIMINARY_APPROVAL, PARTIALLY_APPROVED, WITHDRAWN List of all reference numbers on the authorization
Type of authorization
ASSESSMENT_AUTHORIZATION, INITIAL_AUTHORIZATION, CONCURRENT_AUTHORIZATION, AMENDMENT Date the prior authorization was created
List of requested treatment codes
Show child attributes
Show child attributes
List of approved treatment codes
Show child attributes
Show child attributes
Requested start date
Requested end date
List of approval files
Show child attributes
Show child attributes
List of denial files
Show child attributes
Show child attributes
List of other files
Show child attributes
Show child attributes
Date the prior authorization was submitted to the payor
Date the prior authorization was last updated
Clinician information
Show child attributes
Show child attributes
Data required to complete the prior authorization request
Show child attributes
Show child attributes
Silna prior auth url
Date the prior authorization approval information was last updated